src/base/cs_ventil.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_ventil.h File Reference
`#include "cs_base.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
Include dependency graph for cs_ventil.h:

Go to the source code of this file.

## Functions
void | tstvtl (cs_int_t *const nbrvtl)
void | defvtl (const cs_int_t *const dimmod, const cs_int_t *const dimvtl, const cs_real_t xyzvt1[3], const cs_real_t xyzvt2[3], const cs_real_t *const rvvt, const cs_real_t *const rpvt, const cs_real_t *const rmvt, const cs_real_t ccarac[3], const cs_real_t *const tauvt)
void | inivtl (void)
void | numvtl (cs_int_t indic[])
void | debvtl (cs_real_t flumas[], cs_real_t flumab[], cs_real_t rhofac[], cs_real_t rhofab[], cs_real_t debent[], cs_real_t debsor[])
void | tsvvtl (cs_int_t *idimts, cs_real_t crvexp[])
void | cs_ventil_definit (const cs_int_t dim_modele, const cs_int_t dim_ventil, const cs_real_t coo_axe_amont[3], const cs_real_t coo_axe_aval[3], const cs_real_t ray_ventil, const cs_real_t ray_pales, const cs_real_t ray_moyeu, const cs_real_t coeff_carac[3], const cs_real_t couple_axial)
void | cs_ventil_detruit_tous (void)
void | cs_ventil_cree_listes (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_ventil_calcul_debits (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities, const cs_real_t flux_masse_fac[], const cs_real_t flux_masse_fbr[], const cs_real_t densite_cel[], const cs_real_t densite_fbr[])
void | cs_ventil_calcul_force (const cs_mesh_quantities_t *mesh_quantities, const cs_int_t idim_source, cs_real_t t_source[])

## Function Documentation

void cs_ventil_calcul_debits | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities,
|  | const cs_real_t | flux_masse_fac[],
|  | const cs_real_t | flux_masse_fbr[],
|  | const cs_real_t | densite_cel[],
|  | const cs_real_t | densite_fbr[]
| ) |  |

void cs_ventil_calcul_force | ( | const cs_mesh_quantities_t * | mesh_quantities,
|  | const cs_int_t | idim_source,
|  | cs_real_t | t_source[]
| ) |  |

void cs_ventil_cree_listes | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_ventil_definit | ( | const cs_int_t | dim_modele,
|  | const cs_int_t | dim_ventil,
|  | const cs_real_t | coo_axe_amont[3],
|  | const cs_real_t | coo_axe_aval[3],
|  | const cs_real_t | ray_ventil,
|  | const cs_real_t | ray_pales,
|  | const cs_real_t | ray_moyeu,
|  | const cs_real_t | coeff_carac[3],
|  | const cs_real_t | couple_axial
| ) |  |

void cs_ventil_detruit_tous | ( | void |  | ) |

void debvtl | ( | cs_real_t | flumas[],
|  | cs_real_t | flumab[],
|  | cs_real_t | rhofac[],
|  | cs_real_t | rhofab[],
|  | cs_real_t | debent[],
|  | cs_real_t | debsor[]
| ) |  |

void defvtl | ( | const cs_int_t *const | dimmod,
|  | const cs_int_t *const | dimvtl,
|  | const cs_real_t | xyzvt1[3],
|  | const cs_real_t | xyzvt2[3],
|  | const cs_real_t *const | rvvt,
|  | const cs_real_t *const | rpvt,
|  | const cs_real_t *const | rmvt,
|  | const cs_real_t | ccarac[3],
|  | const cs_real_t *const | tauvt
| ) |  |

void inivtl | ( | void |  | ) |

void numvtl | ( | cs_int_t | indic[] | ) |

void tstvtl | ( | cs_int_t *const | nbrvtl | ) |

void tsvvtl | ( | cs_int_t * | idimts,
|  | cs_real_t | crvexp[]
| ) |  |